CROSSTABS
  /TABLES= e_hor  BY satis ddt_tc ddt_auto ddt_cvoi ddt_velo ddt_moto ddt_marche parts multi ddt_etehiv ddt_etehiv_mode
  cartes_men_achat type_carte_men sec3_1a sec3_1b sec3_2a sec3_2b sec3_2c sec3_2d sec3_2e sec3_2f sec3_2g sec3_2h sec3_2i
  sec3_2j sec3_3a sec3_3b sec3_3c sec3_3d sec3_3e sec3_3f sec3_41 sec3_42 sec3_43 sec3_44 r_bus r_metro r_train p_contc
  p_sattc p_util_his_tc vlo1R vlo2R vlo3R vlo4R vlo5R vlo6R o_freqtc o_freqcov o_freqauto o_freqvelo e_ttrav_pos
  e_ttrav_act e_ttrav_pref
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= ROW
  /COUNT ROUND CELL .

USE ALL.
COMPUTE filter_$=(ddt_auto >= 2).
VARIABLE LABEL filter_$ 'ddt_auto >= 2 (FILTER)'.
VALUE LABELS filter_$  0 'Non slectionn' 1 'Slectionn'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.

CROSSTABS
  /TABLES=e_hor  BY ddt_stat_e ddt_stat_r ddt_stat_a ddt_stat_disp ddt_freq_auto_e ddt_freq_auto_p ddt_freq_auto_pc
  ddt_imposs_tcseul_1 ddt_imposs_tcseul_2 ddt_imposs_tcseul_3 ddt_imposs_tcseul_4 ddt_imposs_tcseul_5 ddt_imposs_tcseul_6
  ddt_imposs_tcseul_7 ddt_imposs_tcseul_8 ddt_imposs_tcseul_9 ddt_imposs_tcseul_10 ddt_imposs_tcseul_11
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= ROW
  /COUNT ROUND CELL .

USE ALL.
COMPUTE filter_$=(ddt_cvoi >= 2).
VARIABLE LABEL filter_$ 'ddt_cvoi >= 2 (FILTER)'.
VALUE LABELS filter_$  0 'Non slectionn' 1 'Slectionn'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.

CROSSTABS
  /TABLES=e_hor  BY d_covoi_mode d_covoi_type1 d_covoi_type2 d_covoi_type3 d_covoi_nbpers
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= ROW
  /COUNT ROUND CELL .

FILTER OFF.
USE ALL.

EXECUTE .
